# Enum Class ColFlag

java.lang.Object
java.lang.Enum<ColFlag>
uk.ac.starlink.topcat.activate.ColFlag

All Implemented Interfaces:
  `Serializable, Comparable<ColFlag>, Constable`

public enum ColFlag extends Enum<ColFlag>
Used to mark columns in a TopcatModelInfo as apparently having some characteristic or other.

Since:
  26 Mar 2018
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DATALINK`
Column (probably) contains a Datalink URL.
`HTML`
Column (probably) contains a browser-friendly URL.
`IMAGE`
Column (probably) contains an Image URL.
`SPECTRUM`
Column (probably) contains a Spectrum URL.
`STRING`
Column value type is string.
`URL`
Column (probably) contains a URL.
`VOTABLE`
Column (probably) contains a VOTable URL.
`WEBREF`
Column (probably) contains a reference that can be mapped to a web page.

## Method Summary

Modifier and Type
Method
Description
`static ColFlag`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ColFlag[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STRING

public static final ColFlag STRING
Column value type is string.

### URL

public static final ColFlag URL
Column (probably) contains a URL.

### DATALINK

public static final ColFlag DATALINK
Column (probably) contains a Datalink URL.

### IMAGE

public static final ColFlag IMAGE
Column (probably) contains an Image URL.

### SPECTRUM

public static final ColFlag SPECTRUM
Column (probably) contains a Spectrum URL.

### VOTABLE

public static final ColFlag VOTABLE
Column (probably) contains a VOTable URL.

### HTML

public static final ColFlag HTML
Column (probably) contains a browser-friendly URL.

### WEBREF

public static final ColFlag WEBREF
Column (probably) contains a reference that can be mapped to a web page. An example is a DOI or Bibcode.

## Method Details

### values

public static ColFlag[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ColFlag valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null